View Issue Details

IDProjectCategoryView StatusLast Update
0000512Ham Radio DeluxeBugpublic2018-12-01 08:08
ReporterW4PC 
Assigned ToW4PC 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindows 7OS Version64-bit Pro
Product Version 
Target VersionFixed in Version6.2.4 
Summary0000512: Elecraft: On K3, NR button maps to ATU; ATU button does nothing - v6.1.0.171
DescriptionOn K3, NR button maps to ATU; ATU button does nothing - v6.1.0.171
Additional Informationv6.1.0.171
TagsElecraft, K3
ModuleRig Control
Sub-Module(select)
Testing

Relationships

Activities

WA9PIE

2014-01-19 23:40

administrator   ~0000128

All these are pending the 6.2 release.

W4PC

2014-01-27 23:33

updater   ~0000146

ATU turns ATU on, no cat command to turn it off

NR works with NR now

W4PC

2014-02-19 12:33

updater   ~0000359

Fixed in next beta: (work around of firmware bugs)
AFX - doesn't do anything.​
​AGC - Off = it switches to fast not off
​Mode + - skips modes, but also skips lsb and usb and data. switches between cw and am only
Mode - - Does the same as mode +
Band + - skips bands when pressed
Band - - skips bands when pressed
​Xfil - only selects two filters #2 and #4 skips filter #1 and #3
​Freq Entrey - Does not work at all
​NB - will turn on, but cant turn it off.
​Meter - will not work
​NR - Does not work at all.
​Notch - only turns off but will not turn it on.
​CWT - Turn it on, but will not turn it off.
​Fine - Does not work at all
​Dual PB - Does not work
​Test - does not work.

ALT
ATU
COURSE
VOX
RX ANT

​Firmware bugs in the K3
​=======================
PF1 - does not work
PF2 - does not work
​Data does not work..

WA9PIE

2014-08-18 15:04

administrator   ~0000517

Cleaning up closed items already marked "Resolved".

Mike, WA9PIE

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:58 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2013-12-28 01:34 WA9PIE Project @5@ => 3 - Current Dev List
2014-01-19 23:40 WA9PIE Status new => acknowledged
2014-01-19 23:40 WA9PIE Note Added: 0000128
2014-01-19 23:42 WA9PIE Status acknowledged => assigned
2014-01-19 23:42 WA9PIE Assigned To => W4PC
2014-01-27 23:33 W4PC Note Added: 0000146
2014-01-27 23:33 W4PC Release => 6.1
2014-01-27 23:33 W4PC Fix Build => 6.2.211
2014-01-27 23:33 W4PC Module => (select)
2014-01-27 23:33 W4PC Sub-Module => (select)
2014-01-27 23:33 W4PC Report Build => (select)
2014-01-27 23:33 W4PC Status assigned => resolved
2014-01-27 23:33 W4PC Resolution open => fixed
2014-02-02 15:28 WA9PIE Summary On K3, NR button maps to ATU; ATU button does nothing - v6.1.0.171 => Bug: On K3, NR button maps to ATU; ATU button does nothing - v6.1.0.171
2014-02-19 12:33 W4PC Note Added: 0000359
2014-03-25 21:10 WA9PIE Summary Bug: On K3, NR button maps to ATU; ATU button does nothing - v6.1.0.171 => Bug: Elecraft: On K3, NR button maps to ATU; ATU button does nothing - v6.1.0.171
2014-05-27 14:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-05-27 14:39 WA9PIE Category Rig Control => General
2014-08-18 15:04 WA9PIE Note Added: 0000517
2014-08-18 15:04 WA9PIE Status resolved => closed
2015-09-30 12:35 WA9PIE Fix Build 6.2.211 => (select)
2015-09-30 12:35 WA9PIE Proposed Release => TBD
2015-09-30 12:35 WA9PIE Summary Bug: Elecraft: On K3, NR button maps to ATU; ATU button does nothing - v6.1.0.171 => Elecraft: On K3, NR button maps to ATU; ATU button does nothing - v6.1.0.171
2015-09-30 13:18 WA9PIE Module (select) => Rig Control
2015-09-30 13:34 WA9PIE Category General => Bug
2017-06-19 19:42 WA9PIE Fixed in Version => 6.2.4
2018-12-01 08:08 WA9PIE Tag Attached: Elecraft
2018-12-01 08:08 WA9PIE Tag Attached: K3